[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TAbstractObjectReader.ReadUnicodeString

Read a Unicode string value

## Declaration

Source position: classesh.inc line 1259

`public function TAbstractObjectReader.ReadUnicodeString: UnicodeString; virtual; abstract;`

## Description

ReadUnicodeString should read a UnicodeString value from the stream. (indicated by the vaUString value type).

Descendant classes should override this method to actually read a UnicodeString value.

## See also

TBinaryObjectWriter.WriteUnicodeString |  | Write a Unicode string to the stream.
TAbstractObjectReader.ReadWideString |  | Read a widestring value from the stream.